Subject: bug#75359: [scratch/elisp-benchmarks] test dependencies

From: Stefan Monnier <[email-masked]>
Date: Mon, 06 Jan 2025 09:59:19 -0500

> Context: I have extended ERT so it has some minimal benchmarking
> functionality, after investigating (twice) whether elisp-benchmarks.el
> can't be made to do the job.  My conclusion was that that would take too
> much time, we should use ERT and ditch elisp-benchmarks.el, modifying
> the benchmarks instead.

I don't have any opinion on that.  The `elisp-benchmark.el` code itself
is very small/trivial, so rewriting it should be quite easy.

[ Then again, I can't think of any reason why any of it would take "much
  time", whether modifying `elisp-benchmarks.el`, or extending ERT, or
  writing it all from scratch.  So I'm probably missing something.  ]

        Stefan